This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 236420

Summary: pam_krb5 is not linked against libpam
Product: [Fedora] Fedora Reporter: Jeffrey C. Ollie <jeff>
Component: pam_krb5Assignee: Nalin Dahyabhai <nalin>
Status: CLOSED NOTABUG QA Contact: Brian Brock <bbrock>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-03 22:17:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Link pam_krb5.so against libpam none

Description Jeffrey C. Ollie 2007-04-13 15:48:29 EDT
Description of problem:

pam_krb5.so is not linked against libpam so it gets this error when
you try and use it:

Apr 13 14:26:46 anim01 beam: PAM unable to dlopen(/lib/security/pam_krb5.so)
Apr 13 14:26:46 anim01 beam: PAM [error: /lib/security/pam_krb5.so: undefined
symbol: pam_getenv]
Apr 13 14:26:46 anim01 beam: PAM adding faulty module: /lib/security/pam_krb5.so

Version-Release number of selected component (if applicable):

pam_krb5-2.2.11-1

How reproducible:
Always

Steps to Reproduce:
1. Configure pam_krb5
  
Actual results:
Authentication fails

Expected results:
Authentication succeeds

Additional info:
Patch attached.
Comment 1 Jeffrey C. Ollie 2007-04-13 15:48:29 EDT
Created attachment 152579 [details]
Link pam_krb5.so against libpam
Comment 2 Bug Zapper 2008-04-03 20:04:59 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.